#
# spec file for package xdrawchem (Version 0.94)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  freetype2 gpp libgpp libjpeg liblcms libmng libpng mesa mesa-devel mesasoft qt qt-devel xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libjpeg liblcms libmng libpng libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xdrawchem
Copyright:    GPL
Group:        Applications/Engineering
Autoreqprov:  on
Version:      0.94
Release:      50
Summary:      molecule drawing program
Source:       xdrawchem-%{version}.tar.bz2
URL:          http://www.prism.gatech.edu/~gte067k/xdrawchem/
Patch:        xdrawchem-%{version}.dif 
BuildRoot:    /var/tmp/%{name}-root

%description
XDrawChem is a two-dimensional  molecule drawing  program for Unix
operating systems. It is similar in functionality to other molecule
drawing programs such as  ChemDraw (TM, CambridgeSoft). It can read
and write MDL Molfiles to allow sharing between XDrawChem and other
chemistry applications.

Authors:
--------
    Bryan Herger <herger@chemistry.gatech.edu>

SuSE series: xap

%prep
%setup 
%patch 

%build
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin/
install -m 755 xdrawchem $RPM_BUILD_ROOT/usr/X11R6/bin/
mkdir -p $RPM_BUILD_ROOT/usr/share/xdrawchem/
cp -vr ring  $RPM_BUILD_ROOT/usr/share/xdrawchem/
cp -vr save  $RPM_BUILD_ROOT/usr/share/xdrawchem/

%files
%doc *.txt
/usr/X11R6/bin/xdrawchem
/usr/share/xdrawchem

%changelog -n xdrawchem
* Mon Jul 30 2001 - nadvornik@suse.cz
- update to 0.94
* Fri May 11 2001 - kukuk@suse.de
- Add mesasoft to neededforbuild
* Wed Apr 04 2001 - schwab@suse.de
- Fix missing declarations.
* Mon Mar 19 2001 - uli@suse.de
- added mesa, mesa-devel to neededforbuild (reqd by Qt)
* Fri Mar 16 2001 - pblaha@suse.cz
- create this package  for chemistry
